diff --git a/.gitignore b/.gitignore
index 90279bea..467505c7 100644
--- a/.gitignore
+++ b/.gitignore
@@ -39,3 +39,4 @@ web/config_local.py
 web/regression/test_config.json
 node_modules/
 web/pgAdmin/static/js/generated
+web/pgadmin/static/js/generated
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/gpdb/sql/default/get_definition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/gpdb/sql/default/get_definition.sql
index cae98f84..699fc968 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/gpdb/sql/default/get_definition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/gpdb/sql/default/get_definition.sql
@@ -6,8 +6,10 @@ SELECT proretset, prosrc, probin,
   proconfig, procost, prorows, prodataaccess,
   'a' as proexeclocation,
   (SELECT lanname FROM pg_catalog.pg_language WHERE pg_proc.oid = prolang) as lanname,
-  nspname || '.' || pg_proc.proname || '(' || COALESCE(pg_catalog.pg_get_function_identity_arguments(pg_proc.oid), '') || ')' as name,
-  nspname || '.' || pg_proc.proname || '(' || COALESCE(pg_catalog.pg_get_function_arguments(pg_proc.oid), '') || ')' as name_with_default_args
+  COALESCE(pg_catalog.pg_get_function_identity_arguments(pg_proc.oid), '') AS func_with_identity_arguments,
+  nspname,
+  proname,
+  COALESCE(pg_catalog.pg_get_function_arguments(pg_proc.oid), '') AS func_args
 FROM pg_catalog.pg_proc
   JOIN pg_namespace nsp ON nsp.oid=pg_proc.pronamespace
 WHERE proisagg = FALSE
